AsterNet Class Library (Sandcastle documentation)

| QueueMemberEvent Membership Property

Get/Set value if this member has been dynamically added by the QueueAdd command (in the dialplan or via the Manager API) or if this member is has been statically defined in queues.conf. "dynamic" if the added member is a dynamic queue member, "static" if the added member is a static queue member.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Membership { get; set; }

    Public Property Membership As String
    	Get
    	Set

    public:
    property String^ Membership {
    	String^ get ();
    	void set (String^ value);
    }

    member Membership : string with get, set

#### Property Value

Type: String
See Also

#### Reference

QueueMemberEvent Class
AsterNET.Manager.Event Namespace